ProjectReportProperty (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, class: ProjectReportProperty

# Class ProjectReportProperty

java.lang.Object
com.install4j.api.beaninfo.ProjectReportProperty

public class ProjectReportProperty extends Object
A project report element contributed by a customizer. All regular properties of your beans that have a non-empty display name are included in the project report. Properties that have empty display names can be used in customizers. If your customizer implements `CustomizerCallback`, it can contribute multiple entries to the project report.

See Also:
  - `CustomizerCallback.getProjectReportProperties()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectReportProperty(String propertyName, String reportValue)`
  Construct a project report property with a property name and a report value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPropertyName()`
  Get the property name.
  `String`
  `getReportValue()`
  Get the report value.
  `void`
  `setPropertyName(String propertyName)`
  Set the property name.
  `void`
  `setReportValue(String reportValue)`
  Set the report value.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectReportProperty

    public ProjectReportProperty(String propertyName, String reportValue)
    Construct a project report property with a property name and a report value. The property name is used as the label of the entry in the project report.
    Parameters:
      `propertyName` - the name
      `reportValue` - the description
    See Also:
      - `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`

- ## Method Details

  - ### getPropertyName

    public String getPropertyName()
    Get the property name.
    Returns:
      the property name

  - ### setPropertyName

    public void setPropertyName(String propertyName)
    Set the property name.
    Parameters:
      `propertyName` - the property name

  - ### getReportValue

    public String getReportValue()
    Get the report value.
    Returns:
      the report value

  - ### setReportValue

    public void setReportValue(String reportValue)
    Set the report value.
    Parameters:
      `reportValue` - the report value